class Hlint < Formula
  desc "Haskell source code suggestions"
  homepage "https://github.com/ndmitchell/hlint"
  url "https://hackage.haskell.org/package/hlint-3.10/hlint-3.10.tar.gz"
  sha256 "d99672337c06b455884ac14418d562701143141d0d7e46af476817c2ae3efe37"
  license "BSD-3-Clause"
  head "https://github.com/ndmitchell/hlint.git", branch: "master"

  depends_on "cabal-install" => :build
  depends_on "ghc" => :build

  uses_from_macos "ncurses"

  def install
    system "cabal", "v2-update"
    system "cabal", "v2-install", *std_cabal_v2_args
    man1.install "data/hlint.1"
  end

  test do
    (testpath/"test.hs").write <<~HASKELL
      main = do putStrLn "Hello World"
    HASKELL
    assert_match "No hints", shell_output("#{bin}/hlint test.hs")

    (testpath/"test1.hs").write <<~HASKELL
      main = do foo x; return 3; bar z
    HASKELL
    assert_match "Redundant return", shell_output("#{bin}/hlint test1.hs", 1)
  end
end
